<?php
ControllerFactory::includeController('ParentOrderController');

class OrderController extends OrderControllerCore
{
	public function displayContent()
	{
		ParentOrderController::displayContent();

		switch ((int)($this->step))
		{
			case -1:
				$this->smarty->display(_PS_THEME_DIR_.'shopping-cart_stp.tpl');
				break;
			case 1:
				$this->smarty->display(_PS_THEME_DIR_.'order-address_stp.tpl');
				break;
			case 2:
				$this->smarty->display(_PS_THEME_DIR_.'order-carrier.tpl');
				break;
			case 3:
				$this->smarty->display(_PS_THEME_DIR_.'order-payment.tpl');
				break;
			default:
				$this->smarty->display(_PS_THEME_DIR_.'shopping-cart_stp.tpl');
				break;
		}
	}
}

